Bug 64026 - Anaconda dumps at end of installation producing anacdump.txt
Anaconda dumps at end of installation producing anacdump.txt
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-23 21:26 EDT by Mike Trotzke
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-23 21:37:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anacdump to floppy (240.79 KB, text/plain)
2002-04-23 21:27 EDT, Mike Trotzke
no flags Details

  None (edit)
Description Mike Trotzke 2002-04-23 21:26:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Goes through the packages fine, gets very near the end (after post install) and 
then throws an exception, sugessts that is is a bug, and outputs ancdump.txt. 
I'v did a MD5 checksum on my ISO images and it matches up perfictly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Download ISO Images
2.MD5 Checksum ISOs
2.Burn them with Easy CD Creator
4.Create Boot disk using rawrite
5.Boot from disk with CD in drive
6.Select Server Type Install
7.Uncheck X pakages
8.Check packages to use
9.Wait through entire package install process
10.Dumps ancdump.txt
	

Actual Results:  throws an exception, sugessts that is is a bug, and outputs 
ancdump.txt

Expected Results:  restart to GRUB or LILO (happens with either)

Additional info:

First few lines of dump:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 408, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 55, in writeConfiguration
    id.write(instPath)
  File "/usr/lib/anaconda/instdata.py", line 96, in write
    self.mouse.write(instPath)
  File "/usr/lib/anaconda/mouse.py", line 233, in write
    self.makeLink(instPath)
  File "/usr/lib/anaconda/mouse.py", line 175, in makeLink
    os.symlink(self.device, root + "/dev/mouse")
OSError: [Errno 5] Input/output error

Local variables in innermost frame:
self: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="ps/2"
XEMU3="no"
XMOUSETYPE="PS/2"
Comment 1 Mike Trotzke 2002-04-23 21:27:44 EDT
Created attachment 55144 [details]
Anacdump to floppy
Comment 2 Mike Trotzke 2002-04-23 21:34:38 EDT
No anaconda dump on this machine with RH7.0. Unfortunately I need 7.2.
Comment 3 Michael Fulbright 2002-04-24 11:52:41 EDT
There is something wrong with one of your IDE devices:

4>hda: read_intr: error=0x40 { UncorrectableError }, LBAsect=5097433, sector=315418
<4>end_request: I/O error, dev 03:05 (hda), sector 315418

This is from the attachment you made.


Note You need to log in before you can comment on or make changes to this bug.